Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.runtime.output
Class StreamHTMLOutput

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.runtime.output.OutputBase
            |
            +--org.apache.xalan.xsltc.runtime.output.StreamOutput
                  |
                  +--org.apache.xalan.xsltc.runtime.output.StreamHTMLOutput

public class StreamHTMLOutput
extends StreamOutput

Constructor Summary
`StreamHTMLOutput(java.io.OutputStream out, java.lang.String encoding)`
`StreamHTMLOutput(StreamOutput output)`
`StreamHTMLOutput(java.io.Writer writer, java.lang.String encoding)`

Method Summary
`void` | `attribute(java.lang.String name, java.lang.String value)`
`void` | `characters(char[] characters, int offset, int length)`
`void` | `characters(java.lang.String characters)`
`void` | `close()`
`void` | `comment(java.lang.String comment)`
`void` | `endDocument()`
`void` | `endElement(java.lang.String elementName)`
`void` | `namespace(java.lang.String prefix, java.lang.String uri)`
`void` | `processingInstruction(java.lang.String target, java.lang.String data)`
`void` | `setCdataElements(Hashtable elements)`
`boolean` | `setEscaping(boolean escape)`
`void` | `setMediaType(java.lang.String mediaType)` Set the output media type - only relevant for HTML output
`void` | `setType(int type)`
`void` | `startDocument()`
`void` | `startElement(java.lang.String elementName)`

Methods inherited from class org.apache.xalan.xsltc.runtime.output.StreamOutput
`getCanonicalEncoding, omitHeader, setDoctype, setIndent, setIndentNumber, setStandalone, setVersion`

Methods inherited from class org.apache.xalan.xsltc.runtime.output.OutputBase
`endCDATA, startCDATA`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamHTMLOutput

    public StreamHTMLOutput(StreamOutput output)

### StreamHTMLOutput

    public StreamHTMLOutput(java.io.Writer writer,
                            java.lang.String encoding)

### StreamHTMLOutput

    public StreamHTMLOutput(java.io.OutputStream out,
                            java.lang.String encoding)
                     throws java.io.IOException

Method Detail

### startDocument

    public void startDocument()
                       throws TransletException

### endDocument

    public void endDocument()
                     throws TransletException

### startElement

    public void startElement(java.lang.String elementName)
                      throws TransletException

### endElement

    public void endElement(java.lang.String elementName)
                    throws TransletException

### characters

    public void characters(java.lang.String characters)
                    throws TransletException

### characters

    public void characters(char[] characters,
                           int offset,
                           int length)
                    throws TransletException

### attribute

    public void attribute(java.lang.String name,
                          java.lang.String value)
                   throws TransletException

### comment

    public void comment(java.lang.String comment)
                 throws TransletException

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws TransletException

### setEscaping

    public boolean setEscaping(boolean escape)
                        throws TransletException

  Overrides:
    setEscaping in class OutputBase

### close

    public void close()

  Overrides:
    close in class OutputBase

### namespace

    public void namespace(java.lang.String prefix,
                          java.lang.String uri)
                   throws TransletException

  Overrides:
    namespace in class OutputBase

### setCdataElements

    public void setCdataElements(Hashtable elements)

  Overrides:
    setCdataElements in class OutputBase

### setType

    public void setType(int type)

  Overrides:
    setType in class OutputBase

### setMediaType

    public void setMediaType(java.lang.String mediaType)

  Set the output media type - only relevant for HTML output
  Overrides:
    setMediaType in class OutputBase

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.